## kconfig 5.31.0

=== debian/changelog ===
kconfig (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:36 +0000

kconfig (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:17 +0000

kconfig (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:20 +0000

=== debian/control ===
Source: kconfig
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig

Package: libkf5config-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5config-bin (= ${binary:Version}),
         libkf5config-bin-dev (= ${binary:Version}),
         libkf5configcore5 (= ${binary:Version}),
         libkf5configgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5config-bin-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5config-dev (<< 5.15.0-2~)
Replaces: libkf5config-dev (<< 5.15.0-2~)
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the binary files for the libkf5config-dev package.

Package: libkf5configgui5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigGui.

Package: libkf5configcore5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigCore.

Package: libkf5config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5config-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains runtime files for KConfig.

## kconfig 5.38.0

=== debian/changelog ===
kconfig (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:14:22 +0100

kconfig (5.37.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.37.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:35 +0100

kconfig (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:32 +0100

kconfig (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:28 +0100

kconfig (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:25 +0100

kconfig (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),

## kconfig 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
project(KConfig VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION 5.7.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
option(KCONFIG_USE_GUI "Build components using Qt5Gui" ON)
if(KCONFIG_USE_GUI)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
endif()
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMPoQmTools)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIG
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kconfig_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfigVersion.cmake"
                        SOVERSION 5)


add_subdirectory(src)
add_subdirectory(autotests)

include (ECMPoQmTools)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ecm_install_po_files_as_qm(po)
endif()


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Config")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Config_QCH
        FILE KF5ConfigQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ConfigQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF5ConfigTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ConfigTargets.cmake NAMESPACE KF5:: COMPONENT Devel)


install(EXPORT KF5ConfigCompilerTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ConfigCompilerTargets.cmake NAMESPACE KF5:: COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kconfig_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
find_package(Qt5Concurrent ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt5Test_FOUND)
    message(STATUS "Qt5Test not found, autotests will not be built.")
    return()
endif()

if(NOT Qt5Concurrent_FOUND)
    message(STATUS "Qt5Concurrent not found, autotests will not be built.")
    return()
endif()

# compile KEntryMap into the test since it's not exported
set(kentrymaptest_SRCS kentrymaptest.cpp ../src/core/kconfigdata.cpp)
ecm_add_test(${kentrymaptest_SRCS}
  TEST_NAME kentrymaptest
  LINK_LIBRARIES Qt5::Test
)
target_include_directories(kentrymaptest PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../src/core)

# compile KConfigUtils into the test since it's not exported
set(test_kconfigutils_SRCS test_kconfigutils ../src/kconf_update/kconfigutils.cpp)
ecm_add_test(${test_kconfigutils_SRCS}
  TEST_NAME test_kconfigutils
  LINK_LIBRARIES KF5::ConfigCore Qt5::Test
)
target_include_directories(test_kconfigutils PRIVATE ../src/kconf_update)

qt5_add_resources(sharedconfigresources sharedconfigresources.qrc)

ecm_add_test(ksharedconfigtest ${sharedconfigresources} TEST_NAME kconfigcore-ksharedconfigtest LINK_LIBRARIES KF5::ConfigCore Qt5::Test Qt5::Concurrent)

# test for fallback to :/kconfig/xxxx config resource
qt5_add_resources(fallbackconfigresources fallbackconfigresources.qrc)
ecm_add_test(fallbackconfigresourcestest ${fallbackconfigresources} TEST_NAME kconfigcore-fallbackconfigresourcestest LINK_LIBRARIES KF5::ConfigCore Qt5::Test Qt5::Concurrent)

ecm_add_tests(
   kconfignokdehometest.cpp
   kconfigtest.cpp
   kdesktopfiletest.cpp
   test_kconf_update.cpp
   ksharedconfig_in_global_object
   NAME_PREFIX kconfigcore-
   LINK_LIBRARIES KF5::ConfigCore Qt5::Test Qt5::Concurrent
)

target_include_directories(test_kconf_update PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/../src/kconf_update)

if(TARGET Qt5::Gui)
ecm_add_tests(
   kconfigguitest.cpp
   kconfigloadertest.cpp
   kconfigskeletontest.cpp
   kstandardshortcuttest.cpp
   NAME_PREFIX kconfiggui-
   LINK_LIBRARIES KF5::ConfigGui Qt5::Test
)

# These tests do a global cleanup of ~/.qttest, so they can't run in parallel
set_tests_properties(kconfigcore-kconfigtest PROPERTIES RUN_SERIAL TRUE)
set_tests_properties(kconfigcore-kconfignokdehometest PROPERTIES RUN_SERIAL TRUE)
set_tests_properties(kconfiggui-kconfigguitest PROPERTIES RUN_SERIAL TRUE)

if (NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(kconfig_compiler)
endif()
endif()

=== src/CMakeLists.txt ===
add_subdirectory(core)
if(TARGET Qt5::Gui)
    add_subdirectory(gui)
endif()
add_subdirectory(kconfig_compiler)
add_subdirectory(kconf_update)
add_subdirectory(kreadconfig)

if (BUILD_QCH)
    ecm_add_qch(
        KF5Config_QCH
        NAME KConfig
        BASE_NAME KF5Config
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KConfigCore_APIDOX_SRCS}
            ${KConfigGui_APIDOX_SRCS}
            "${CMAKE_SOURCE_DIR}/docs/options.md"
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Xml_QCH
            Qt5Gui_QCH
        BLANK_MACROS
            KCONFIGCORE_EXPORT
            KCONFIGCORE_DEPRECATED_EXPORT
            KCONFIGCORE_DEPRECATED
            KCONFIGGUI_EXPORT
            KCONFIGGUI_DEPRECATED_EXPORT
            KCONFIGGUI_DEPRECATED
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/kconfig_compiler/CMakeLists.txt ===


set(kconfig_compiler_SRCS kconfig_compiler.cpp)


add_executable(kconfig_compiler ${kconfig_compiler_SRCS})
set_target_properties(kconfig_compiler PROPERTIES
    OUTPUT_NAME "kconfig_compiler_kf5"
)

if(CMAKE_TOOLCHAIN_FILE)
    if(BUILD_TESTING)
        message(WARNING "Testing should be disabled on cross-compilation")
    endif()
else()
    add_executable(KF5::kconfig_compiler ALIAS kconfig_compiler)
endif()

target_link_libraries(kconfig_compiler Qt5::Xml)

ecm_mark_nongui_executable(kconfig_compiler)

install(TARGETS kconfig_compiler EXPORT KF5ConfigCompilerTargets DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})

=== debian/changelog ===
kconfig (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:32 +0000

kconfig (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:14 +0000

kconfig (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:17 +0000

kconfig (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:03:36 -0600

kconfig (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:22 +0000

=== debian/control ===
Source: kconfig
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig

Package: libkf5config-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains runtime files for KConfig.

Package: libkf5config-bin-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5config-dev (<< 5.15.0-2~)
Replaces: libkf5config-dev (<< 5.15.0-2~)
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the binary files for the libkf5config-dev package.

Package: libkf5config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5config-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5config-bin (= ${binary:Version}),
         libkf5config-bin-dev (= ${binary:Version}),
         libkf5configcore5 (= ${binary:Version}),
         libkf5configgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5configcore5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigCore.

Package: libkf5configgui5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigGui.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5config5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	-$(overriden_command)

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), kinit
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/kconfig-(.*)\.tar\.xz

## kconfig 5.50.0

=== debian/changelog ===
kconfig (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:03 +0100

kconfig (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files for GCC 8
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:16 +0100

kconfig (5.47.0-0ubuntu2) cosmic; urgency=medium

  * Restore debian breaks/replaces for libkf5config-dev against
    libkf5config-bin-dev, which did not get carried accross in previous
    merge

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Jun 2018 15:08:43 +0100

kconfig (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
    - remove KConfigCompiler_Test-Update-test_signal.h.ref-to-follow-t.patch
      and kubuntu_disable-broken-tests.patch since the problem is already fixed
      in upstream code

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:03 +0100

kconfig (5.46.0-1) unstable; urgency=medium

  * Update symbols files
  * New upstream release (5.46.0).
  * Drop lintian-overrides file for libkf5config-dev
  * testsuite: Run tests one at the time
  * Add patch: KConfigCompiler_Test-Update-test_signal.h.ref-to-follow-t.patch
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:34 +0200

kconfig (5.46.0-0ubuntu2) cosmic; urgency=medium

  * Update kubuntu_disable-broken-tests.patch to disable both elements
    of the bad test

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 17 May 2018 11:54:05 +0100

kconfig (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)
  * Disable upstream failing test. Reported as KDE Bug: 394271

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:16 +0100

kconfig (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:09 +0200

kconfig (5.44.0-1) sid; urgency=medium

  * New revision
  * Bump doxygen build dep.
    Thanks to Aaron M. Ucko for the report (Closes: 891605)
  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:29 +0100

kconfig (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:12 +0100

kconfig (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:36 +0100

kconfig (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Allow packagers set kconfig_compiler install dir
  * Fix cross compilation issues
    + Move kconfig_compiler to an arch independant path
    + Move cmake files back to the -dev package
    + Rename -bin-dev package to -dev-bin
    Thanks to Helmut Grohne for the analysis and suggestions (Closes: 887452)
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:46 +0100

kconfig (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Drop duplicated file
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:15 -0300

kconfig (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:43:02 +0000

kconfig (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:55:54 +0000

kconfig (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:39:04 +0000

kconfig (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:27:58 +0000

kconfig (5.37.0-2) sid; urgency=medium

  * New revision
  * Update install file
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:44 +0200

kconfig (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Update symbols file
  * Add libkf5config-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:41:57 +0200

kconfig (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:54 +0000

kconfig (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patch: Sanitize-shortcut-list-on-read-write-from-kdeglobals.patch
  * Update symbols files
  * watch: Use https uris
  * New upstream release (5.36.0).


=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen (>= 1.8.13~),
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
+               libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qttools5-dev-tools (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kconfig
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
@@ -42,34 +45,6 @@
  .
  This package contains runtime files for KConfig.
 
-Package: libkf5config-bin-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5config-dev (<< 5.15.0-2~)
-Replaces: libkf5config-dev (<< 5.15.0-2~)
-Description: configuration settings framework for Qt -- binary package
- KConfig provides an advanced configuration system. It is made of two
- parts: KConfigCore and KConfigGui.
- .
- KConfigCore provides access to the configuration files themselves. It
- features:
- .
-  - centralized definition: define your configuration in an XML file
-  and use `kconfig_compiler` to generate classes to read and write
-  configuration entries.
-  - lock-down (kiosk) support.
- .
- KConfigGui provides a way to hook widgets to the configuration so
- that they are automatically initialized from the configuration and
- automatically propagate their changes to their respective
- configuration files.
- .
- This package is part of KDE Frameworks 5.
- .
- This package contains the binary files for the libkf5config-dev package.
-
 Package: libkf5config-data
 Architecture: all
 Multi-Arch: foreign
@@ -100,32 +75,89 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libkf5config-bin (= ${binary:Version}),
-         libkf5config-bin-dev (= ${binary:Version}),
+         libkf5config-dev-bin (= ${binary:Version}),
          libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
-Description: configuration settings framework for Qt
- KConfig provides an advanced configuration system. It is made of two
- parts: KConfigCore and KConfigGui.
- .
- KConfigCore provides access to the configuration files themselves. It
- features:
- .
-  - centralized definition: define your configuration in an XML file
-  and use `kconfig_compiler` to generate classes to read and write
-  configuration entries.
-  - lock-down (kiosk) support.
- .
- KConfigGui provides a way to hook widgets to the configuration so
- that they are automatically initialized from the configuration and
- automatically propagate their changes to their respective
- configuration files.
- .
- This package is part of KDE Frameworks 5.
- .
- This package contains the development files.
+         ${shlibs:Depends},
+Breaks: libkf5config-bin-dev (<< 5.47.0~),
+Replaces: libkf5config-bin-dev (<< 5.47.0~)
+Recommends: libkf5config-doc (= ${source:Version})
+Description: configuration settings framework for Qt
+ KConfig provides an advanced configuration system. It is made of two
+ parts: KConfigCore and KConfigGui.
+ .
+ KConfigCore provides access to the configuration files themselves. It
+ features:
+ .
+  - centralized definition: define your configuration in an XML file
+  and use `kconfig_compiler` to generate classes to read and write
+  configuration entries.
+  - lock-down (kiosk) support.
+ .
+ KConfigGui provides a way to hook widgets to the configuration so
+ that they are automatically initialized from the configuration and
+ automatically propagate their changes to their respective
+ configuration files.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the development files.,
+
+Package: libkf5config-dev-bin
+Architecture: any
+Multi-Arch: foreign
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
+Replaces: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
+Description: configuration settings framework for Qt -- binary package
+ KConfig provides an advanced configuration system. It is made of two
+ parts: KConfigCore and KConfigGui.
+ .
+ KConfigCore provides access to the configuration files themselves. It
+ features:
+ .
+  - centralized definition: define your configuration in an XML file
+  and use `kconfig_compiler` to generate classes to read and write
+  configuration entries.
+  - lock-down (kiosk) support.
+ .
+ KConfigGui provides a way to hook widgets to the configuration so
+ that they are automatically initialized from the configuration and
+ automatically propagate their changes to their respective
+ configuration files.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the binary files for the libkf5config-dev package.
+
+Package: libkf5config-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: configuration settings framework for Qt (documentation)
+ KConfig provides an advanced configuration system. It is made of two
+ parts: KConfigCore and KConfigGui.
+ .
+ KConfigCore provides access to the configuration files themselves. It
+ features:
+ .
+  - centralized definition: define your configuration in an XML file
+  and use `kconfig_compiler` to generate classes to read and write
+  configuration entries.
+  - lock-down (kiosk) support.
+ .
+ KConfigGui provides a way to hook widgets to the configuration so
+ that they are automatically initialized from the configuration and
+ automatically propagate their changes to their respective
+ configuration files.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5configcore5
 Architecture: any
